#include <QtGui/QApplication>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QTranslator appTranslator;

    if(QLocale::system().name().contains(QObject::tr("ru_RU"), Qt::CaseInsensitive))
    {
        //appTranslator.load(QObject::tr(":/translations/sphere-client_ru"));
        appTranslator.load(QCoreApplication::applicationDirPath()+QObject::tr("/sphere-client_ru"));
        a.installTranslator(&appTranslator);
    }

    if(QLocale::system().name().contains(QObject::tr("pt_BR"), Qt::CaseInsensitive))
    {
        //appTranslator.load(QObject::tr(":/translations/sphere-client_pt_br"));
        appTranslator.load(QCoreApplication::applicationDirPath()+QObject::tr("/sphere-client_pt_br"));
        a.installTranslator(&appTranslator);
    }

    MainWindow w;
    w.show();
    //w.trayIcon->showMessage("", QObject::tr("Клиент техподдержки Сфера запущен"), QSystemTrayIcon::Information, 10 * 1000);
    w.showMinimized();

    return a.exec();
}
